<?php
/**
 * Created by PhpStorm.
 * User: pejot
 * Date: 2015-03-08
 * Time: 22:39
 */
global $ankieta;
global $data;
global $page;
$ankieta->writeGap();

$order=$ankieta->getNextSubmitParameters()['order'];
$testedProduct=$ankieta->getValue('PROD'.$order."PR");
$testedProdctLabs=$ankieta->getLabels('PROD'.$order."PR");

$ankieta->writeGap();
//$ankieta->writeHeader("SMAK - ".$testedProdctLabs[$testedProduct]);
//$ankieta->writeGap();

$ankieta->addField('BLOCK'.$order.'_CODE','Tested product','NUMERIC',1,$testedProdctLabs);
$ankieta->setValue('BLOCK'.$order.'_CODE',$testedProduct);
$ankieta->setSurveyFieldsToWrite(['BLOCK'.$order.'_CODE']);

//$ankieta->savePOSTData($ankieta->getDataTable(),['BLOCK'.$order.'_CODE'=>$order],session_id());


//print_r($order);

//[^uncheckById(["P2","P3","P4","P5"])^]
//[^showOrClean(input,["P2","P3","P4","P5","P6"])^]
//[^clean(["P2","P3","P4","P5","P6"])^]
//[^showOrClean($("input[name=P1]"),["P2"])^]


$ankieta->writeOpen(2,300,'Q1c1','Co podoba się Pani w tej butelce? <br/> Proszę wziąć pod uwagę samą butelkę, a nie etykietę.',300,@clean($data['Q1c1'],''), "STRING", '300',false);

$ankieta->writeOpen(2,300,'Q1c2','A co nie podoba się Pani w tej butelce? <br/> Proszę wziąć pod uwagę samą butelkę, a nie etykietę.',300,@clean($data['Q1c2'],''), "STRING", '300',false);


$answers=array();
$answers[7]='bardzo się podoba';
$answers[6]='podoba mi się';
$answers[5]='raczej mi się podoba';
$answers[4]='ani mi się podoba, ani nie podoba';
$answers[3]='raczej mi się nie podoba';
$answers[2]='nie podoba mi się';
$answers[1]='bardzo mi się nie podoba';

$ankieta->writeRadio('Q1_'.$order,'Jak ogólnie ocenia Pani <b> wygląd </b> tej butelki oleju? <br/> Proszę wziąć pod uwagę samą butelkę, a nie etykietę.',$answers,true,@clean($data['Q1_'.$order]),'NUMERIC',"","");



$answers=array();
$answers[7]='bardzo wysokiej jakości';
$answers[6]='wysokiej jakości';
$answers[5]='raczej wysokiej jakości';
$answers[4]='ani mi się podoba, ani nie podoba';
$answers[3]='raczej niskiej jakości';
$answers[2]='niskiej jakości';
$answers[1]='bardzo niskiej jakości';

$ankieta->writeRadio('Q1a_'.$order,'Jak ocenia Pani jakość wykonania tej butelki oleju? 
<br/> Proszę wziąć pod uwagę samą butelkę, a nie etykietę.',$answers,true,@clean($data['Q1a_'.$order]),'NUMERIC',"","");




$answers=array();
$answers[5]='zdecydowanie bym kupiła';
$answers[4]='raczej bym kupiła';
$answers[3]='ani bym kupiła, ani nie kupiła';
$answers[2]='raczej bym nie kupiła';
$answers[1]='zdecydowanie bym nie kupiła';

$ankieta->writeRadio('Q1b_'.$order,'Na ile chętnie <b> kupiłaby </b> Pani olej rzepakowy w takiej butelce?',$answers,true,@clean($data['Q1b_'.$order]),'NUMERIC',"","");



$answers=array();
$answers[5]='zdecydowanie się zgadzam';
$answers[4]='raczej się zgadzam';
$answers[3]='ani się zgadzam, ani nie';
$answers[2]='raczej się nie zgadzam';
$answers[1]='zdecydowanie się nie zgadzam';

$ankieta->writeRadio('NOW_'.$order,'Na ile zgadza się lub nie zgadza Pani z informacją, że jest to <b> nowa butelka oleju Kujawskiego? </b>',$answers,true,@clean($data['NOW_'.$order]),'NUMERIC',"","");





$answers=array();
$answers[1]='zdecydowanie za jasny';
$answers[2]='raczej za jasny';
$answers[3]='w sam raz';
$answers[4]='raczej za ciemny';
$answers[5]='zdecydowanie za ciemny';

$ankieta->writeRadio('KOL2_'.$order,'Jak ogólnie ocenia Pan[i|] <b>barwę tego koloru</b>?',$answers,true,@clean($data['KOL2_'.$order]),'NUMERIC',"","");

?>


<script type="text/javascript">



</script>

